%define anolis_release 1
%global libver       1.1.0

Name:           libbpf
Version:        1.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Libbpf library

License:        LGPLv2 or BSD
URL:            https://github.com/%{name}/%{name}
Source:         https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
BuildRequires:  gcc elfutils-libelf-devel elfutils-devel
BuildRequires:  make

# This package supersedes libbpf from kernel-tools,
# which has default Epoch: 0. By having Epoch: > 0
# this libbpf will take over smoothly
Epoch:          2

%description
A mirror of bpf-next linux tree bpf-next/tools/lib/bpf directory plus its
supporting header files. The version of the package reflects the version of
ABI.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = 2:%{version}-%{release}
Requires:       kernel-headers >= 5.10.0
Requires:       zlib

%description devel
The %{name}-devel package contains libraries header files for
developing applications that use %{name}

%package static
Summary: Static library for libbpf development
Requires: %{name}-devel = %{epoch}:%{version}-%{release}

%description static
The %{name}-static package contains static library for
developing applications that use %{name}

%define _lto_cflags %{nil}
%undefine _package_note_file

%global make_flags DESTDIR=%{buildroot} OBJDIR=%{_builddir} CFLAGS="%{build_cflags} -fPIC" LDFLAGS="%{build_ldflags} -Wl,--no-as-needed" LIBDIR=/%{_libdir} NO_PKG_CONFIG=1

%prep
%autosetup -n %{name}-%{version}

%build
%make_build -C ./src %{make_flags}

%install
%make_install -C ./src %{make_flags}

%generate_compatibility_deps

%files
%dir %{abidir}
%{_libdir}/libbpf.so.%{libver}
%{_libdir}/libbpf.so.1
%{abidir}/libbpf.dump

%files devel
%{_libdir}/libbpf.so
%{_includedir}/bpf/
%{_libdir}/pkgconfig/libbpf.pc

%files static
%{_libdir}/libbpf.a

%changelog
* Tue Dec 13 2022 Kun(llfl) <llfl@linux.alibaba.com> - 1.1.0-1
- update version to v1.1.0
- optimise spec file

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.0-2
- optimise spec file

* Wed Mar 09 2022 Renbo <rb01097748@alibaba-inc.com> - 0.7.0-1
- Init for Anolis OS 23
